# Generated by Django 3.2.6 on 2021-08-16 15:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('service_app', '0001_initial'),
        ('hotel_app', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='servicetohotelmodel',
            name='hotel',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='services', to='hotel_app.hotelmodel', verbose_name='Hotel'),
        ),
        migrations.AddField(
            model_name='servicetohotelmodel',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hotels', to='service_app.servicemodel', verbose_name='Service'),
        ),
        migrations.AddField(
            model_name='additionalservicetranslationmodel',
            name='additional_service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='service_app.additionalservicemodel', verbose_name='Additional service'),
        ),
        migrations.AddField(
            model_name='additionalservicetoserviceinhotelmodel',
            name='additional_service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service', to='service_app.additionalservicemodel', verbose_name='Additional service'),
        ),
        migrations.AddField(
            model_name='additionalservicetoserviceinhotelmodel',
            name='service',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='additional_services', to='service_app.servicetohotelmodel', verbose_name='Service in hotel'),
        ),
        migrations.AddConstraint(
            model_name='servicetohotelmodel',
            constraint=models.UniqueConstraint(fields=('service', 'hotel'), name='unique_service_to_hotel'),
        ),
        migrations.AddConstraint(
            model_name='additionalservicetoserviceinhotelmodel',
            constraint=models.UniqueConstraint(fields=('additional_service', 'service'), name='unique_additional_service_to_service'),
        ),
    ]
